@echo off
echo off
cls
echo.
echo.
echo        --- Thunderbyte Fence installation batch program ---
echo.

rem     * Make sure that we can find the software in the current directory
if not exist TBFENCE.EXE goto error1

rem     * Make sure that the user specified a destination path
if %1X==X goto error2

rem     * Make sure the target path exists or can be created
if exist %1\nul goto pathexists
md %1
if not exist %1\nul goto error3
:pathexists

rem     * Make sure user did not type something like 'C:' :-)
if exist %1\CONFIG.SYS goto error5

echo Please read the License.Doc file. By using the TbFence package you
echo agree with our license agreement. You can print the License.Doc
echo file by typing the following command on the DOS command line:
echo.
echo    Copy License.Doc Lpt1
echo.
echo Press Ctrl-C to abort this installation batch file, or
pause
cls
rem     * Copy the TbFence software if necessary
if exist dummy.tst del dummy.tst >nul
if exist %1\dummy.tst del %1\dummy.tst >nul
echo TEST >%1\dummy.tst
if exist dummy.tst goto filesexist
if not exist %1\dummy.tst goto error4
echo.
echo.
echo.
echo Copying files. Please wait...
echo.
copy *.* %1
:filesexist
del %1\dummy.tst >nul
if not exist %1\docs.exe goto nopack
%1\docs -o %1
del %1\docs.exe >nul
:nopack
cls
echo.
echo The TbFence software have been copied to the destination directory.
echo It is highly recommended to print the TbFence user manual.
echo You can do this with the following DOS command:
echo.
echo    Copy TBFENCE.DOC Lpt1
echo.
echo.
pause
cls
echo.
echo.
echo Select from within the TbFence main menu 'Install TbFence'.
echo It is recommended to setup a gateway station first, so select 'GATEWAY'
echo in the installation menu. Enter a password when TbFence prompts you
echo to do so. Make sure you don't forget this password as you will need
echo it again when you want to remove TbFence from your system.
echo.
echo To enter the TbFence main menu,
pause
%1\tbfence
goto end

:error1
echo Error: Invalid program invocation!
echo.
echo Make sure that you invoke INSTALL.BAT in the directory where the
echo TbFence software can be found!
echo.
echo Example: if the TbFence software can be found on drive A:, you should type:
echo A: [enter]
echo INSTALL [path] [enter]
goto end

:error2
echo Error: No destination path specified!
echo.
echo You have to specify the destination path for the TbFence software!
echo Even if the software is already in the destination path.
echo.
echo Example:
echo If the TbFence software is or should be copied to C:\TBFENCE, please type:
echo INSTALL C:\TBFENCE
goto end

:error3
echo Error: Unable to creat destination directory %1
echo.
echo Make sure you enter an existing destination path or a path that can be created!
goto end

:error4
echo Error: Unable to copy files in directory %1
echo.
echo Disk full? Access denied?
goto end

:error5
echo Error: No target directory specified!
echo.
echo Make sure you enter a full destination path!
echo %1 is not sufficient!
echo.
echo Example:
echo If the TbFence software is or should be copied to C:\TBFENCE, please type:
echo INSTALL C:\TBFENCE
goto end

:end
